#ifdef GL_ES
// Set default precision to medium
precision mediump int;
precision mediump float;
#endif

uniform sampler2D texture;

varying vec2 v_texcoord;

void main()
{
	// Set fragment color from texture
	vec4 finalColor = vec4(texture2D(texture, v_texcoord));

	gl_FragColor = finalColor;
}
